internal::function_body< Input, Output > Class Template Referenceabstract

A functor that takes an Input and generates an Output. More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::function_body< Input, Output >:
Collaboration diagram for internal::function_body< Input, Output >:

## Public Member Functions

virtual | ~function_body ()
virtual Output | operator() (const Input &input)=0
virtual function_body * | clone ()=0

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename Input, typename Output>
class internal::function_body< Input, Output >

A functor that takes an Input and generates an Output.

Definition at line 119 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## ~function_body()

template<typename Input, typename Output>

virtual internal::function_body< Input, Output >::~function_body | ( |  | ) |

inline virtual

Definition at line 121 of file _flow_graph_body_impl.h.

{}

## Member Function Documentation

## clone()

template<typename Input, typename Output>

virtual function_body* internal::function_body< Input, Output >::clone | ( |  | ) |

pure virtual

Implemented in internal::function_body_leaf< continue_msg, Output, B >, internal::function_body_leaf< Input, continue_msg, B >, internal::function_body_leaf< continue_msg, continue_msg, B >, and internal::function_body_leaf< Input, Output, B >.

Referenced by internal::function_input< Input, Output, Policy, Allocator >::reset_function_input(), and internal::continue_input< Output, Policy >::reset_receiver().

Here is the caller graph for this function:

## operator()()

template<typename Input, typename Output>

virtual Output internal::function_body< Input, Output >::operator() | ( | const Input & | input | ) |

pure virtual

Implemented in internal::function_body_leaf< Input, continue_msg, B >, internal::function_body_leaf< Input, Output, B >, internal::function_body_leaf< continue_msg, Output, B >, and internal::function_body_leaf< continue_msg, continue_msg, B >.

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.